Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.content
Interface IContainerContent

All Superinterfaces:
  org.eclipse.birt.report.engine.css.engine.CSSStylableElement, IContent, IElement, IStyledElement

All Known Subinterfaces:
  IBandContent, ICellContent, IGroupContent, IListBandContent, IListContent, IListGroupContent, IPageContent, IRowContent, ITableBandContent, ITableContent, ITableGroupContent

    public interface IContainerContent

extends IContent

Provides the interface for container content in report.

This interface represents styled containers in the elements tree of the report.

Field Summary

Fields inherited from interface org.eclipse.birt.report.engine.content.IContent
`AUTOTEXT_CONTENT, CELL_CONTENT, CONTAINER_CONTENT, DATA_CONTENT, DOCUMENT_EXTENSION, FOREIGN_CONTENT, GROUP_CONTENT, IMAGE_CONTENT, LABEL_CONTENT, LAYOUT_EXTENSION, LIST_BAND_CONTENT, LIST_CONTENT, LIST_GROUP_CONTENT, PAGE_CONTENT, ROW_CONTENT, SERIALIZE_CONTENT, TABLE_BAND_CONTENT, TABLE_CONTENT, TABLE_GROUP_CONTENT, TEXT_CONTENT`

Method Summary

Methods inherited from interface org.eclipse.birt.report.engine.content.IContent
`accept, cloneContent, getACL, getBookmark, getContentType, getExtension, getGenerateBy, getHeight, getHelpText, getHyperlinkAction, getInlineStyle, getInstanceID, getName, getReportContent, getResultSet, getTOC, getWidth, getX, getY, isDirectionRTL, isRTL, readContent, setACL, setBookmark, setExtension, setGenerateBy, setHeight, setHelpText, setHyperlinkAction, setInlineStyle, setInstanceID, setName, setReportContent, setTOC, setWidth, setX, setY, writeContent`

Methods inherited from interface org.eclipse.birt.report.engine.css.engine.CSSStylableElement
`getComputedStyle, getCSSEngine, getStyle`

Methods inherited from interface org.eclipse.birt.report.engine.content.IStyledElement
`getComputedStyle, getStyle, getStyleClass, setStyleClass`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.